# $Revision: 1.9 $, $Date: 2010/07/08 08:17:31 $
%define		module	jwzthreading
Summary:	Implementation of algorithm for threading mail messages
Summary(pl.UTF-8):	Implementacja algorytmu wątkowania wiadomości pocztowych
Name:		python-%{module}
Version:	0.91
Release:	4
License:	BSD-like (see LICENSE)
Group:		Libraries/Python
Source0:	http://www.amk.ca/files/python/%{module}-%{version}.tar.gz
# Source0-md5:	567f17b0189d90f570961b8f5d487795
URL:		http://www.amk.ca/python/code/jwz.html
%pyrequires_eq	python
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an implementation of a fast and smart algorithm for threading
mail messages, as described by Jamie Zawinski at
http://www.jwz.org/doc/threading.html .

%description -l pl.UTF-8
Implementacja szybkiego i sprawnego algorytmu wątkowania poczty,
opisana przez Jamie Zawinskiego na stronie
http://www.jwz.org/doc/threading.html .

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

python setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{py_sitescriptdir} -type f -name "*.py" -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE CHANGES.txt README
%{py_sitescriptdir}/%{module}.py?

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-jwzthreading.spec,v $
Revision 1.9  2010/07/08 08:17:31  arekm
- release 4

Revision 1.8  2008/10/03 17:52:17  arekm
- release 3

Revision 1.7  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.5  2004/12/25 14:41:57  saq
- release 2 for rebuild with python 2.4

Revision 1.4  2004/12/21 18:49:43  twittner
- separate desc.'s periods from http link

Revision 1.3  2004/12/20 20:32:11  qboosh
- pl fix, no control chars in changelog

Revision 1.2  2004/12/20 02:54:04  zbyniu
- BR: python-modules

Revision 1.1  2004/12/18 14:26:32  undefine
- initit^Hal PLD version ;)
